Skip to main content
GET
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
cURL
curl --request GET \
  --url https://api.example.com/api/serviceAccounts/v1/serviceAccounts \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  },
  "serviceAccounts": [
    {
      "id": "<string>",
      "username": "<string>",
      "email": "<string>",
      "idpId": "<string>"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

includeDeactivated
boolean
default:false

indicates whether deactivated service accounts should be included in the response

offset
integer

How many from the start to skip. Defaults to 0.

limit
integer

Max number to fetch. Defaults to 10.

Response

Lists the service accounts

metadata
object
required
serviceAccounts
object[]
required